%define name    kxstitch
%define version 0.8
%define release %mkrel 2

Name:           %{name}
Version:        %{version}
Release:        %{release}
Summary:        Creation and editing of cross stitch patterns
Source0:        %{name}-%{version}.tar.bz2
License:        GPL
Group:          Graphics
Url:            http://kxstitch.sourceforge.net/
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires:  kdebase-devel
BuildRequires:  imagemagick
BuildRequires:  imagemagick-devel

Requires(post,postun): desktop-common-data
Requires(post,postun): desktop-file-utils

%description
Kxstitch is a program that lets you create cross stitch patterns and charts.
Patterns can be created from scratch on a user defined size of grid, which can
be enlarged or reduced in size as your pattern progresses.  Alternatively you
can import images from many graphics formats or use an image as a background. 
You can also scan images using any Sane supported scanner.
These imported images can then be modified using the supplied tools to produce
your final design.

%prep
%setup -q

%build
%configure --disable-rpath --disable-debug --with-qt-libraries=$QTDIR/%{_lib} 
%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std

install -d $RPM_BUILD_ROOT%{_menudir}
perl -pi -e 's|Comment=|Comment=Creation and editing of cross stitch patterns|' $RPM_BUILD_ROOT%{_datadir}/applnk/Graphics/%{name}.desktop
kdedesktop2mdkmenu.pl %{name} "Multimedia/Graphics" $RPM_BUILD_ROOT%{_datadir}/applnk/Graphics/%{name}.desktop $RPM_BUILD_ROOT%{_menudir}/%{name}

install -D -m 644 %{buildroot}%{_iconsdir}/hicolor/32x32/apps/%{name}.png %{buildroot}%{_iconsdir}/%{name}.png
install -d $RPM_BUILD_ROOT%{_liconsdir}
install -d $RPM_BUILD_ROOT%{_miconsdir}
convert -resize 48x48 %{buildroot}%{_iconsdir}/%{name}.png $RPM_BUILD_ROOT%{_liconsdir}/%{name}.png
convert -resize 16x16 %{buildroot}%{_iconsdir}/%{name}.png $RPM_BUILD_ROOT%{_miconsdir}/%{name}.png

%find_lang %name

%clean
rm -rf $RPM_BUILD_ROOT

%post
%{update_menus}
%{update_desktop_database}

%postun
%{clean_menus}
%{clean_desktop_database}

%files -f %name.lang
%defattr(0755,root,root,0755)
%{_bindir}/%{name}
%defattr(0644,root,root,0755)
%doc AUTHORS COPYING
%{_menudir}/%{name}
%{_datadir}/applnk/Graphics/%{name}.desktop
%{_datadir}/mimelnk/application/%{name}.desktop
%{_miconsdir}/%{name}.png
%{_iconsdir}/%{name}.png
%{_liconsdir}/%{name}.png
%{_datadir}/icons/*/*/apps/*.png
%{_datadir}/apps/%{name}
%{_datadir}/doc/HTML/en/*
%{_mandir}/man?/%name.?.bz2



%changelog
* Tue May 15 2007 Herton Ronaldo Krzesinski <herton@mandriva.com.br> 0.8-2mdv2008.0
+ Revision: 26976
- Updated BuildRequires.
- Rebuild with new libjasper.
- Import kxstitch



* Thu Aug 31 2006 Couriousous <couriousous@mandriva.org> 0.8-1mdv2007.0
- 0.8

* Thu Aug 17 2006 Nicolas Lcureuil <neoclust@mandriva.org> 0.7-7mdv2007.0
- Rebuild against new dbus

* Thu Jul 06 2006 Nicolas Lcureuil <neoclust@mandriva.org> 0.7-6mdv2007.0
- Rebuild for new menu && extension

* Fri Mar 17 2006 Couriousous <couriousous@mandriva.org> 0.7-5mdk
- Rebuild

* Sat Jan 14 2006 Couriousous <couriousous@mandriva.org> 0.7-4mdk
- Rebuild

* Wed Aug 24 2005 Oden Eriksson <oeriksson@mandriva.com> 0.7-3mdk
- rebuilt against new Magick libs

* Sun Jul 31 2005 Nicolas Lcureuil <neoclust@mandriva.org> 0.7-2mdk
- Fix BuildRequires

* Fri Jul 15 2005 Couriousous <couriousous@mandriva.org> 0.7-1mdk
- 0.7

* Fri Mar 25 2005 Couriousous <couriousous@mandrake.org> 0.6-2mdk
- Rebuild

* Sun Jan 2 2005 Couriousous <couriousous@mandrake.org> 0.6-1mdk
- First Mandrakelinux package
